cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/item_receipts/ir_4e5f60718293a4b5c6d7e8f90a1b2c3d/notes/note_c2d3e4f5061728394a5b6c7d8e9f0011" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.item_receipts.delete_item_receipt_note(
"ir_4e5f60718293a4b5c6d7e8f90a1b2c3d", "note_c2d3e4f5061728394a5b6c7d8e9f0011"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.itemReceipts.deleteItemReceiptNote(
'ir_4e5f60718293a4b5c6d7e8f90a1b2c3d',
'note_c2d3e4f5061728394a5b6c7d8e9f0011',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->itemReceipts->deleteItemReceiptNote(
'ir_4e5f60718293a4b5c6d7e8f90a1b2c3d',
'note_c2d3e4f5061728394a5b6c7d8e9f0011',
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.itemReceipts().deleteItemReceiptNote(
"ir_4e5f60718293a4b5c6d7e8f90a1b2c3d",
"note_c2d3e4f5061728394a5b6c7d8e9f0011");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ItemReceipts.DeleteItemReceiptNoteAsync(
"ir_4e5f60718293a4b5c6d7e8f90a1b2c3d",
"note_c2d3e4f5061728394a5b6c7d8e9f0011");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.itemReceipts.deleteItemReceiptNote(
'ir_4e5f60718293a4b5c6d7e8f90a1b2c3d',
'note_c2d3e4f5061728394a5b6c7d8e9f0011',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ItemReceipts().DeleteItemReceiptNote(context.Background(), "ir_4e5f60718293a4b5c6d7e8f90a1b2c3d", "note_c2d3e4f5061728394a5b6c7d8e9f0011", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Item receipts
Delete an item receipt note
Deletes a note from an item receipt. A successful call returns 204 with no body.
DELETE
/
item_receipts
/
{item_receipt_id}
/
notes
/
{note_id}
cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/item_receipts/ir_4e5f60718293a4b5c6d7e8f90a1b2c3d/notes/note_c2d3e4f5061728394a5b6c7d8e9f0011" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.item_receipts.delete_item_receipt_note(
"ir_4e5f60718293a4b5c6d7e8f90a1b2c3d", "note_c2d3e4f5061728394a5b6c7d8e9f0011"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.itemReceipts.deleteItemReceiptNote(
'ir_4e5f60718293a4b5c6d7e8f90a1b2c3d',
'note_c2d3e4f5061728394a5b6c7d8e9f0011',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->itemReceipts->deleteItemReceiptNote(
'ir_4e5f60718293a4b5c6d7e8f90a1b2c3d',
'note_c2d3e4f5061728394a5b6c7d8e9f0011',
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.itemReceipts().deleteItemReceiptNote(
"ir_4e5f60718293a4b5c6d7e8f90a1b2c3d",
"note_c2d3e4f5061728394a5b6c7d8e9f0011");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ItemReceipts.DeleteItemReceiptNoteAsync(
"ir_4e5f60718293a4b5c6d7e8f90a1b2c3d",
"note_c2d3e4f5061728394a5b6c7d8e9f0011");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.itemReceipts.deleteItemReceiptNote(
'ir_4e5f60718293a4b5c6d7e8f90a1b2c3d',
'note_c2d3e4f5061728394a5b6c7d8e9f0011',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ItemReceipts().DeleteItemReceiptNote(context.Background(), "ir_4e5f60718293a4b5c6d7e8f90a1b2c3d", "note_c2d3e4f5061728394a5b6c7d8e9f0011", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Pass the receipt’s
ir_ id and the note’s note_ id.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The receipt's id, which starts with ir_.
The note's id, which starts with note_.
Response
204
The note is deleted. No body.